Validation of unique MAC can result in false positive
Status: Closed   

Priority: Normal   

Assignee: Marek Hulán   

Category: Network   

Target version: 1.10.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2775

  

Description

We skip validations of MAC uniqueness on virtual and unmanaged interfaces. But when we check the validity on managed physical

interface we take into consideration also these interfaces that were validly created. We should scope the interfaces that we compare.

It was introduced by #11034

Related issues:

Related to Foreman - Bug #11034: network/interfaces validation checks the rem... Closed 07/07/2015

Associated revisions

Revision a3212817 - 10/02/2015 07:37 AM - Marek Hulán

Fixes #12034 - scope nics to validate uniqueness against

History

#1 - 10/01/2015 11:41 AM - Marek Hulán

- Related to Bug #11034: network/interfaces validation checks the removed interfaces  added

#2 - 10/01/2015 11:43 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2775 added

- Pull request deleted ()

#3 - 10/02/2015 08:01 AM - Marek Hulán

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset a321281764f022eb0d2fc11265575e2a145a6ef9.
